Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3078)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3079)
@@ -28,6 +28,7 @@
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.ChartsEnginesManager;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.messages.ChartsUIMessages;
 import org.txm.chartsengine.rcp.preferences.___KeyboardBindingProperties;
@@ -49,23 +50,23 @@
  * 
  */
 public abstract class SWTChartsComponentsProvider {
-
 	
 	
+	
 	// FIXME: should be done in an activator?
-	static	{
+	static {
 		// Initializes the SWT Charts Components provider according to the current charts engine and its output format
 		SWTChartsComponentsProvider.createSWTChartsComponentsProviders();
 		SWTChartsComponentsProvider.setCurrrentComponentsProvider(ChartsEngine.getCurrent());
 	}
 	
-
+	
 	/**
 	 * The charts engine.
 	 */
 	protected ChartsEngine chartsEngine;
-
-
+	
+	
 	/**
 	 * The name of the provider.
 	 */
@@ -81,14 +82,14 @@
 	 * Mouse control properties which will be shared by all implementations and chart editors.
 	 */
 	protected Properties mouseBindingProperties;
-
-
+	
+	
 	/**
 	 * Keyboard control properties which will be shared by all implementations and chart editors.
 	 */
 	protected Properties keyboardBindingProperties;
-
 	
+	
 	/**
 	 * Installed SWT charts components providers.
 	 */
@@ -103,35 +104,35 @@
 	
 	public SWTChartsComponentsProvider(ChartsEngine chartsEngine, Properties mouseBindingProperties, Properties keyboardBindingProperties) {
 		this.chartsEngine = chartsEngine;
-
+		
 		this.mouseBindingProperties = mouseBindingProperties;
 		this.keyboardBindingProperties = keyboardBindingProperties;
-
+		
 		// FIXME : SJ: see if we need to define the L&F as system for AWT/Swing components
 		// If yes, we need to find a way to manage the GTK L&F/Linux bug, see ticket #761
-        // System Look and feel
-//        try {
-//			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
-//		}
-//		catch(ClassNotFoundException e) {
-//			// TODO Auto-generated catch block
-//			e.printStackTrace();
-//		}
-//		catch(InstantiationException e) {
-//			// TODO Auto-generated catch block
-//			e.printStackTrace();
-//		}
-//		catch(IllegalAccessException e) {
-//			// TODO Auto-generated catch block
-//			e.printStackTrace();
-//		}
-//		catch(UnsupportedLookAndFeelException e) {
-//			// TODO Auto-generated catch block
-//			e.printStackTrace();
-//		}
+		// System Look and feel
+		// try {
+		// UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
+		// }
+		// catch(ClassNotFoundException e) {
+		// // TODO Auto-generated catch block
+		// e.printStackTrace();
+		// }
+		// catch(InstantiationException e) {
+		// // TODO Auto-generated catch block
+		// e.printStackTrace();
+		// }
+		// catch(IllegalAccessException e) {
+		// // TODO Auto-generated catch block
+		// e.printStackTrace();
+		// }
+		// catch(UnsupportedLookAndFeelException e) {
+		// // TODO Auto-generated catch block
+		// e.printStackTrace();
+		// }
 		
 	}
-
+	
 	/**
 	 * 
 	 * @param chartsEngine
@@ -146,40 +147,41 @@
 	public SWTChartsComponentsProvider() {
 		this(null);
 	}
-
-
 	
+	
+	
 	/**
-	 * Creates and stores SWT charts components providers from installed extension contributions and defines the current one according to the specified charts engine output format and provider supported input format.
+	 * Creates and stores SWT charts components providers from installed extension contributions and defines the current one according to the specified charts engine output format and provider
+	 * supported input format.
 	 */
-	public static void createSWTChartsComponentsProviders()	{
+	public static void createSWTChartsComponentsProviders() {
 		
 		
-		SWTChartsComponentsProvider.chartsComponentsProviders = new ArrayList<SWTChartsComponentsProvider>();
+		SWTChartsComponentsProvider.chartsComponentsProviders = new ArrayList<>();
 		
 		String extensionPointId = "org.txm.rcp.swtchartscomponentsprovider"; //$NON-NLS-1$
 		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(extensionPointId);
 		
-		for(int i = 0; i < contributions.length; i++) {
+		for (int i = 0; i < contributions.length; i++) {
 			
 			// FIXME: SJ: to manage more than one input format, Store them in the class rather than in the extension schema?
 			String formatsStr = contributions[i].getAttribute("inputFormat").replace(" ", "").trim(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			String[] formats = formatsStr.split(","); //$NON-NLS-1$
 			
 			try {
-				SWTChartsComponentsProvider swtChartsComponentsProvider = (SWTChartsComponentsProvider)contributions[i].createExecutableExtension("class");  //$NON-NLS-1$
+				SWTChartsComponentsProvider swtChartsComponentsProvider = (SWTChartsComponentsProvider) contributions[i].createExecutableExtension("class");  //$NON-NLS-1$
 				swtChartsComponentsProvider.setName(contributions[i].getAttribute("name")); //$NON-NLS-1$
 				swtChartsComponentsProvider.setEditorSupportedInputFormat(Arrays.asList(formats));
 				
 				// Add the first charts engine that supports the input format
 				ChartsEngine chartsEngine = null;
-				for(int j = 0; j < formats.length; j++) {
+				for (int j = 0; j < formats.length; j++) {
 					chartsEngine = ChartsEnginesManager.getInstance().getChartsEngine(formats[j]);
-					if(chartsEngine != null)	{
+					if (chartsEngine != null) {
 						break;
 					}
 				}
-				swtChartsComponentsProvider.setChartsEngine(chartsEngine);					
+				swtChartsComponentsProvider.setChartsEngine(chartsEngine);
 				
 				SWTChartsComponentsProvider.chartsComponentsProviders.add(swtChartsComponentsProvider);
 				
@@ -187,7 +189,7 @@
 				
 				
 			}
-			catch(CoreException e) {
+			catch (CoreException e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
 			}
@@ -197,19 +199,21 @@
 	
 	/**
 	 * Gets the current charts component provider.
+	 * 
 	 * @return the current charts engine
 	 */
-	public static SWTChartsComponentsProvider getCurrent()	{
+	public static SWTChartsComponentsProvider getCurrent() {
 		return SWTChartsComponentsProvider.chartsComponentsProviders.get(SWTChartsComponentsProvider.currentChartsComponentsProviderIndex);
 	}
 	
 	/**
-	 * Sets the current charts component provider according to the specified charts engine output format and provider supported input format. 
+	 * Sets the current charts component provider according to the specified charts engine output format and provider supported input format.
+	 * 
 	 * @param name the name of the charts engine to set as current
 	 */
-	public static void setCurrrentComponentsProvider(ChartsEngine chartsEngine)	{
-		for(int i = 0; i < SWTChartsComponentsProvider.chartsComponentsProviders.size(); i++) {
-			if(SWTChartsComponentsProvider.chartsComponentsProviders.get(i).canCreateView(chartsEngine))	{
+	public static void setCurrrentComponentsProvider(ChartsEngine chartsEngine) {
+		for (int i = 0; i < SWTChartsComponentsProvider.chartsComponentsProviders.size(); i++) {
+			if (SWTChartsComponentsProvider.chartsComponentsProviders.get(i).canCreateView(chartsEngine)) {
 				// Set new charts engine
 				SWTChartsComponentsProvider.chartsComponentsProviders.get(i).setChartsEngine(chartsEngine);
 				
@@ -292,56 +296,61 @@
 	public ChartsEngine getChartsEngine() {
 		return chartsEngine;
 	}
-
-
-	 /**
-	  * Creates the chart drawing area composite.
-	  * @param parent
-	  * @param style
-	  * @return the composite
-	  */
-	 public abstract ChartComposite createComposite(ChartEditor chartEditor, Composite parent);
-
-
+	
+	
 	/**
+	 * Creates the chart drawing area composite.
+	 * 
+	 * @param parent
+	 * @param style
+	 * @return the composite
+	 */
+	public abstract ChartComposite createComposite(ChartEditor chartEditor, Composite parent);
+	
+	
+	/**
 	 * Returns the input formats supported by the implementation of the <code>EditorPart</code> for viewing.
+	 * 
 	 * @return
 	 */
-	public List<String> getEditorSupportedInputFormats()	{
+	public List<String> getEditorSupportedInputFormats() {
 		return this.supportedInputFormats;
 	}
 	
-
+	
 	/**
 	 * Sets the input formats supported by the implementation of the <code>EditorPart</code> for viewing.
+	 * 
 	 * @param supportedInputFormats
 	 */
-	public void setEditorSupportedInputFormat(List<String> supportedInputFormats)	{
+	public void setEditorSupportedInputFormat(List<String> supportedInputFormats) {
 		this.supportedInputFormats = supportedInputFormats;
 	}
 	
 	/**
 	 * Returns the export formats supported by the implementation of the <code>ChartsEngine</code> for the total chart.
+	 * 
 	 * @return
 	 */
 	public abstract ArrayList<String> getChartsEngineSupportedExportFileFormats();
-
-
+	
+	
 	/**
 	 * Creates a SWT group for the charts engine default preferences area in preference pages.
+	 * 
 	 * @return
 	 */
-	public static Group createChartsRenderingPreferencesGroup(Composite parent)	{
-
+	public static Group createChartsRenderingPreferencesGroup(Composite parent) {
+		
 		Group chartsGroup = new Group(parent, SWT.NONE);
-
+		
 		chartsGroup.setText(ChartsUIMessages.chartsRendering);
-
+		
 		GridData gridData = new GridData(SWT.FILL, SWT.FILL, true, false);
 		gridData.horizontalSpan = 2;
 		gridData.verticalIndent = 10;
 		chartsGroup.setLayoutData(gridData);
-
+		
 		return chartsGroup;
 	}
 	
@@ -351,29 +360,30 @@
 	 * @param parent
 	 * @return
 	 */
-	public static Composite createChartsRenderingPreferencesTabFolderComposite(Composite parent)	{
+	public static Composite createChartsRenderingPreferencesTabFolderComposite(Composite parent) {
 		return createChartsRenderingPreferencesTabFolderComposite(parent, ChartsUIMessages.chartsRendering);
 	}
 	
 	/**
 	 * Creates a tab folder with a tab item for rendering preferences.
+	 * 
 	 * @param parent
 	 * @return
 	 */
-	public static Composite createChartsRenderingPreferencesTabFolderComposite(Composite parent, String tabTitle)	{
-
+	public static Composite createChartsRenderingPreferencesTabFolderComposite(Composite parent, String tabTitle) {
 		
+		
 		TabFolder tabFolder = new TabFolder(parent, SWT.TOP);
 		GridData gridData = new GridData(SWT.FILL, SWT.FILL, true, true);
 		gridData.horizontalSpan = 2;
 		tabFolder.setLayoutData(gridData);
-
+		
 		TabItem tabItem = new TabItem(tabFolder, SWT.NULL);
 		tabItem.setText(tabTitle);
 		Composite composite = new Composite(tabFolder, SWT.NULL);
 		tabItem.setControl(composite);
 		
-
+		
 		return composite;
 	}
 	
@@ -382,30 +392,30 @@
 	 * @param page
 	 * @param composite
 	 */
-	public static void createChartsRenderingPreferencesFields(TXMPreferencePage page, Composite composite)	{
+	public static void createChartsRenderingPreferencesFields(TXMPreferencePage page, Composite composite) {
 		
 		Label separator = new Label(composite, SWT.HORIZONTAL | SWT.SEPARATOR);
 		GridData gridData = new GridData(GridData.FILL_HORIZONTAL);
 		gridData.horizontalSpan = 2;
 		separator.setLayoutData(gridData);
-
-		String commandNodeQualifier = ((TXMPreferenceStore)page.getPreferenceStore()).getNodeQualifier(); 
-
+		
+		String commandNodeQualifier = ((TXMPreferenceStore) page.getPreferenceStore()).getNodeQualifier();
+		
 		// Show title
-		if(!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.SHOW_TITLE))	{
+		if (!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.SHOW_TITLE)) {
 			page.addField(new BooleanFieldEditor(ChartsEnginePreferences.SHOW_TITLE, ChartsUIMessages.showTitle, composite));
 		}
 		// Show legend
-		if(!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.SHOW_LEGEND))	{
+		if (!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.SHOW_LEGEND)) {
 			page.addField(new BooleanFieldEditor(ChartsEnginePreferences.SHOW_LEGEND, ChartsUIMessages.showLegend, composite));
 		}
 		// Show grid
-		if(!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.SHOW_GRID))	{
+		if (!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.SHOW_GRID)) {
 			page.addField(new BooleanFieldEditor(ChartsEnginePreferences.SHOW_GRID, ChartsUIMessages.showGrid, composite));
 		}
-
+		
 		// Rendering colors mode selection
-		if(!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.RENDERING_COLORS_MODE))	{
+		if (!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.RENDERING_COLORS_MODE)) {
 			String colorsModes[][] = new String[4][2];
 			colorsModes[0][0] = ChartsUIMessages.colors;
 			colorsModes[0][1] = "0"; //$NON-NLS-1$
@@ -418,79 +428,81 @@
 			ComboFieldEditor renderingModeComboField = new ComboFieldEditor(ChartsEnginePreferences.RENDERING_COLORS_MODE, ChartsUIMessages.renderingColorsMode, colorsModes, composite);
 			page.addField(renderingModeComboField);
 		}
-
+		
 		// Same lines stroke
-		if(!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.MULTIPLE_LINE_STROKES))	{
+		if (!TXMPreferences.isEmpty(commandNodeQualifier, ChartsEnginePreferences.MULTIPLE_LINE_STROKES)) {
 			page.addField(new BooleanFieldEditor(ChartsEnginePreferences.MULTIPLE_LINE_STROKES, ChartsUIMessages.multipleLineStrokeStyles, composite));
 		}
-
 		
+		
 	}
 	
 	/**
 	 * Gets the current active chart editor managing the multi pages editor.
+	 * 
 	 * @param event
 	 * @return
 	 */
-	public static ChartEditor getActiveChartEditor(ExecutionEvent event)	{
-		ChartEditor chartEditor = null;
-
-		Event eevent = (Event)event.getTrigger();
+	public static ChartEditor<? extends ChartResult> getActiveChartEditor(ExecutionEvent event) {
+		ChartEditor<? extends ChartResult> chartEditor = null;
+		
+		Event eevent = (Event) event.getTrigger();
 		Widget widget = eevent.widget;
 		
 		// Toolbars
-		if(event != null && widget instanceof ToolItem)	{
+		if (event != null && widget instanceof ToolItem) {
 			ToolItem to = (ToolItem) widget;
 			ToolBar parent = to.getParent();
-			if(to.getParent() instanceof ChartEditorToolBar)	{
-				chartEditor = ((ChartEditorToolBar)((ToolItem)((Event)event.getTrigger()).widget).getParent()).getEditorPart();	
+			if (to.getParent() instanceof ChartEditorToolBar) {
+				chartEditor = ((ChartEditorToolBar) ((ToolItem) ((Event) event.getTrigger()).widget).getParent()).getEditorPart();
 			}
-			if(to.getParent() instanceof AdvancedChartEditorToolBar)	{
-				chartEditor = ((AdvancedChartEditorToolBar)((ToolItem)((Event)event.getTrigger()).widget).getParent()).getEditorPart();
+			if (to.getParent() instanceof AdvancedChartEditorToolBar) {
+				chartEditor = ((AdvancedChartEditorToolBar) ((ToolItem) ((Event) event.getTrigger()).widget).getParent()).getEditorPart();
 			}
 		}
 		else {
 			IWorkbenchPart part = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActivePart();
-
+			
 			// Context menu, multi pages editor
-			if(part instanceof TXMMultiPageEditor)	{
+			if (part instanceof TXMMultiPageEditor) {
 				TXMMultiPageEditor editor = (TXMMultiPageEditor) part;
 				// Main editor
-				if(editor.getMainEditorPart() instanceof ChartEditor
-					&& ((ChartEditor)editor.getMainEditorPart()).hasFocus())	{
-				chartEditor = (ChartEditor)editor.getMainEditorPart();
+				if (editor.getMainEditorPart() instanceof ChartEditor
+						&& ((ChartEditor<?>) editor.getMainEditorPart()).hasFocus()) {
+					chartEditor = (ChartEditor<?>) editor.getMainEditorPart();
 				}
 				// FIXME: SJ: became useless?
-	//			else if(((MultiPageEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor()).getSelectedPage() instanceof ChartEditor
-	//					&& ((ChartEditor)((MultiPageEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor()).getSelectedPage()).hasFocus() )	{
-	//				chartEditor = (ChartEditor)((MultiPageEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor()).getSelectedPage();
-	//			}
+				// else if(((MultiPageEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor()).getSelectedPage() instanceof ChartEditor
+				// && ((ChartEditor)((MultiPageEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor()).getSelectedPage()).hasFocus() ) {
+				// chartEditor = (ChartEditor)((MultiPageEditorPart) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor()).getSelectedPage();
+				// }
 			}
 			// Context menu, Normal editor
-			else if(part instanceof ChartEditor)	{
-				chartEditor = (ChartEditor) part;	
+			else if (part instanceof ChartEditor) {
+				chartEditor = (ChartEditor<?>) part;
 			}
 		}
 		return chartEditor;
 	}
 	
-
 	
-
+	
+	
 	@Override
 	public String toString() {
 		return String.format("%s (supported input formats: %s, Charts Engine: %s)", this.name, this.supportedInputFormats.toString().replaceAll("\\[|\\]", ""), this.chartsEngine); //$NON-NLS-1$
 	}
-
-
+	
+	
 	/**
 	 * Sets the name of the provider.
+	 * 
 	 * @param name the name to set
 	 */
 	public void setName(String name) {
 		this.name = name;
 	}
-
-
-
-}
\ No newline at end of file
+	
+	
+	
+}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3078)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3079)
@@ -229,7 +229,7 @@
 	 * 
 	 * @param result
 	 */
-	public static ChartEditor openEditor(ChartResult result) {
+	public static ChartEditor<ChartResult> openEditor(ChartResult result) {
 		return openEditor(result, false);
 	}
 	
@@ -239,7 +239,7 @@
 	 * @param alwaysRecreateEditor
 	 * @return
 	 */
-	public static ChartEditor openEditor(ChartResult result, boolean alwaysRecreateEditor) {
+	public static ChartEditor<ChartResult> openEditor(ChartResult result, boolean alwaysRecreateEditor) {
 		return openEditor(result, result.getClass().getName(), alwaysRecreateEditor);
 	}
 	
@@ -249,7 +249,7 @@
 	 * @param editorPartId
 	 * @return
 	 */
-	public static ChartEditor openEditor(ChartResult result, String editorPartId) {
+	public static ChartEditor<ChartResult> openEditor(ChartResult result, String editorPartId) {
 		return openEditor(result, editorPartId, false);
 	}
 	
@@ -261,12 +261,12 @@
 	 * @param alwaysRecreateEditor force editor creation
 	 * @return
 	 */
-	public static ChartEditor openEditor(ChartResult result, String editorPartId, boolean alwaysRecreateEditor) {
+	public static ChartEditor<ChartResult> openEditor(ChartResult result, String editorPartId, boolean alwaysRecreateEditor) {
 		
 		ChartEditorInput<ChartResult> editorInput = new ChartEditorInput<>(result);
 		editorInput.setAlwaysRecreateEditor(alwaysRecreateEditor);
 		
-		return (ChartEditor) openEditor(editorInput, editorPartId);
+		return (ChartEditor<ChartResult>) openEditor(editorInput, editorPartId);
 	}
 	
 	
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/chartsengine/jfreechart/JFCAHCChartCreator.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/chartsengine/jfreechart/JFCAHCChartCreator.java	(revision 3078)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/chartsengine/jfreechart/JFCAHCChartCreator.java	(revision 3079)
@@ -13,32 +13,21 @@
  * 
  * 
  */
-public class JFCAHCChartCreator extends JFCChartCreator {
+public class JFCAHCChartCreator extends JFCChartCreator<AHC> {
 	
 	
 	@Override
-	public JFreeChart createChart(ChartResult result) {
+	public JFreeChart createChart(AHC result) {
 		
 		System.err.println("JFCAHCChartCreator.createChart(): not yet implemented.");
 		
-		final AHC cah = (AHC) result;
-		
-		
 		return null;
 		
 	}
 	
 	
 	@Override
-	// FIXME: to not load the chart creator, to remove when implemented
-	public Class getChartsEngineClass() {
-		return null;
-	}
-	
-	
-	
-	@Override
-	public Class getResultDataClass() {
+	public Class<AHC> getResultDataClass() {
 		return AHC.class;
 	}
 	
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 3078)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 3079)
@@ -531,9 +531,10 @@
 	}
 	
 	@Override
-	public Object getAdapter(Class adapterType) {
+	public <T> T getAdapter(Class<T> adapterType) {
+		
 		if (adapterType == IWorkbenchAdapter.class)
-			return ExpIIAAdapter;
+			return adapterType.cast(ExpIIAAdapter);
 		return null;
 	}
 	
Index: tmp/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy
===================================================================
--- tmp/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy	(revision 3078)
+++ tmp/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy	(revision 3079)
@@ -250,7 +250,7 @@
 			["fr", "C'est un autre test."],
 			[
 				"fr",
-				"C'est une version 0.8.1 un 01:12:12 test vers http://un.site.web.fr, fin."
+				"C'est une version 0.8.2 un 01:12:12 test vers http://un.site.web.fr, fin."
 			],
 			["en", "This is a test."],
 			["en", "It's a test."]
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java	(revision 3078)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/adapters/CAAdapterFactory.java	(revision 3079)
@@ -15,11 +15,11 @@
  * @author sjacquot
  */
 public class CAAdapterFactory extends TXMResultAdapterFactory {
-
+	
 	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(
 			FrameworkUtil.getBundle(CAAdapterFactory.class).getSymbolicName(),
 			"platform:/plugin/" + FrameworkUtil.getBundle(CAAdapterFactory.class).getSymbolicName() + "/icons/ca.png"); //$NON-NLS-1$ //$NON-NLS-2$
-
+	
 	/**
 	 * Gets the adapter.
 	 *
@@ -32,14 +32,15 @@
 	 *      java.lang.Class)
 	 */
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
 		if (this.canAdapt(adapterType) && adaptableObject instanceof CA) {
-			return new TXMResultAdapter() {
+			return adapterType.cast(new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
 				}
-			};
+			});
 		}
 		return null;
 	}
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3078)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3079)
@@ -859,8 +859,8 @@
 	
 	public static void main(String[] args) {
 		try {
-			File xmlFile = new File(System.getProperty("user.home"), "TXM-0.8.1/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml");
-			File outfile = new File(System.getProperty("user.home"), "TXM-0.8.1/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml");
+			File xmlFile = new File(System.getProperty("user.home"), "TXM-0.8.2/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml");
+			File outfile = new File(System.getProperty("user.home"), "TXM-0.8.2/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml");
 			
 			ArrayList<Annotation> segmentAnnotations = new ArrayList<>();
 			// int starts[] = { 3, 6 };
Index: tmp/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 3078)
+++ tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 3079)
@@ -158,16 +158,7 @@
 #DEBUGOPTIONS="-log -clean -debug -console -noexit"
 ) 1>&3 2>&4
 
-#author: sheiden
-ubuntuubuntuversion=`lsb_release -r | sed -e 's/^Release:\t//g' -e 's/\..*//g'`
 
-# test release number syntax
-if [[ ! "$ubuntuubuntuversion" =~ ^[0-9]+$ ]]
-then
-	echo "** error: wrong release number"
-	exit 1
-fi
-
 #author: sheiden
 ubuntuubuntuversion=`lsb_release -r | sed -e 's/^Release:\t//g' -e 's/\..*//g'`
 
@@ -180,9 +171,9 @@
 
 # test range
 ACTIVATEGTK3=1
-if [ "$ubuntuubuntuversion" -lt 20 ]
-then
-	ACTIVATEGTK3=0
-fi
+#if [ "$ubuntuubuntuversion" -lt 20 ]
+#then
+#	ACTIVATEGTK3=0
+#fi
 
 SWT_GTK3=$ACTIVATEGTK3 UBUNTU_MENUPROXY=0 exec "${TXMINSTALL}/launcher" "$@" -run --launcher.ini "$DOTTXMHOME/launcher.ini" $DEBUGOPTIONS -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
Index: tmp/org.txm.libs.javafx.linux/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.javafx.linux/META-INF/MANIFEST.MF	(revision 3078)
+++ tmp/org.txm.libs.javafx.linux/META-INF/MANIFEST.MF	(revision 3079)
@@ -37,7 +37,6 @@
  com.sun.javafx.font.coretext,
  com.sun.javafx.font.directwrite,
  com.sun.javafx.font.freetype,
- com.sun.javafx.font.t2k,
  com.sun.javafx.fxml,
  com.sun.javafx.fxml.builder,
  com.sun.javafx.fxml.expression,
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java	(revision 3078)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java	(revision 3079)
@@ -30,15 +30,15 @@
 	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapter(java.lang.Object, java.lang.Class)
 	 */
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
 		if (this.canAdapt(adapterType) && adaptableObject instanceof AHC) {
-			return new TXMResultAdapter() {
+			return adapterType.cast(new TXMResultAdapter() {
 				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
 				}
-			};
+			});
 		}
 		return null;
 	}
Index: tmp/org.txm.queryindex.rcp/src/queryindexrcp/adapters/AdapterFactory.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/queryindexrcp/adapters/AdapterFactory.java	(revision 3078)
+++ tmp/org.txm.queryindex.rcp/src/queryindexrcp/adapters/AdapterFactory.java	(revision 3079)
@@ -15,32 +15,32 @@
  * @author mdecorde
  */
 public class AdapterFactory implements IAdapterFactory {
-
+	
 	/** The Index adapter. */
 	private IWorkbenchAdapter QueryIndexAdapter = new IWorkbenchAdapter() {
-
+		
 		@Override
 		public Object[] getChildren(Object o) {
 			return new Object[0];
 		}
-
+		
 		@Override
 		public ImageDescriptor getImageDescriptor(Object object) {
 			return AbstractUIPlugin.imageDescriptorFromPlugin(
 					Application.PLUGIN_ID, IImageKeys.QUERYINDEX);
 		}
-
+		
 		@Override
 		public String getLabel(Object o) {
 			return ((QueryIndex) o).getName();
 		}
-
+		
 		@Override
 		public Object getParent(Object o) {
 			return ((QueryIndex) o).getCorpus();
 		}
 	};
-
+	
 	/**
 	 * Gets the adapter.
 	 *
@@ -48,16 +48,16 @@
 	 * @param adapterType the adapter type
 	 * @return the adapter
 	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapter(java.lang.Object,
-	 * java.lang.Class)
+	 *      java.lang.Class)
 	 */
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
 		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof QueryIndex)
-			return QueryIndexAdapter;
+			return adapterType.cast(QueryIndexAdapter);
 		return null;
 	}
-
+	
 	/**
 	 * Gets the adapter list.
 	 *
@@ -65,9 +65,8 @@
 	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapterList()
 	 */
 	@Override
-	@SuppressWarnings("unchecked") //$NON-NLS-1$
-	public Class[] getAdapterList() {
+	public Class<?>[] getAdapterList() {
 		return new Class[] { IWorkbenchAdapter.class };
 	}
-
+	
 }
Index: tmp/org.txm.practically.rcp/src/practicallymacro/model/E4CommandHelper.java
===================================================================
--- tmp/org.txm.practically.rcp/src/practicallymacro/model/E4CommandHelper.java	(revision 3078)
+++ tmp/org.txm.practically.rcp/src/practicallymacro/model/E4CommandHelper.java	(revision 3079)
@@ -11,42 +11,36 @@
 import org.eclipse.ui.PlatformUI;
 
 public class E4CommandHelper {
-	public static void addMCommandToSystem(Command newCommand)
-	{
-		try
-		{
-			IEclipseContext context=(IEclipseContext)PlatformUI.getWorkbench().getAdapter(IEclipseContext.class);
-			Class commandsFactory=Class.forName("org.eclipse.e4.ui.model.application.commands.impl.CommandsFactoryImpl");
-			Field instanceField=commandsFactory.getField("INSTANCE");
-			Method createCommand=commandsFactory.getMethod("createCommand");
-			Object implInstance=instanceField.get(null);
-			MCommand anMCommand=(MCommand)createCommand.invoke(implInstance);
-//			MCommand anMCommand=CommandsFactoryImpl.INSTANCE.createCommand();
+	
+	public static void addMCommandToSystem(Command newCommand) {
+		try {
+			IEclipseContext context = PlatformUI.getWorkbench().getAdapter(IEclipseContext.class);
+			Class<?> commandsFactory = Class.forName("org.eclipse.e4.ui.model.application.commands.impl.CommandsFactoryImpl");
+			Field instanceField = commandsFactory.getField("INSTANCE");
+			Method createCommand = commandsFactory.getMethod("createCommand");
+			Object implInstance = instanceField.get(null);
+			MCommand anMCommand = (MCommand) createCommand.invoke(implInstance);
+			// MCommand anMCommand=CommandsFactoryImpl.INSTANCE.createCommand();
 			anMCommand.setElementId(newCommand.getId());
-			try
-			{
+			try {
 				anMCommand.setCommandName(newCommand.getName());
 			}
-			catch (Exception e)
-			{
+			catch (Exception e) {
 				e.printStackTrace();
 			}
-			MApplication app=context.get(MApplication.class);
-			List<MCommand> allCommands=app.getCommands();
-			boolean commandExists=false;
-			for (MCommand mcommand : allCommands)
-			{
-				if (mcommand.getElementId().equals(newCommand.getId()))
-				{
-					commandExists=true;
+			MApplication app = context.get(MApplication.class);
+			List<MCommand> allCommands = app.getCommands();
+			boolean commandExists = false;
+			for (MCommand mcommand : allCommands) {
+				if (mcommand.getElementId().equals(newCommand.getId())) {
+					commandExists = true;
 					break;
 				}
 			}
 			if (!commandExists)
 				allCommands.add(anMCommand);
 		}
-		catch (Exception e)
-		{
+		catch (Exception e) {
 			e.printStackTrace();
 		}
 		
